View Issue Details

IDProjectCategoryLast Update
0019633AI War 2[All Projects] Graphical BugJun 29, 2018 11:11 am
Reporterabal7Assigned Tox4000Bughunter 
Severitymajor 
Status resolvedResolutionfixed 
Product Version0.743 Music Blooms 
Fixed in Version0.746 Disposing of the Invisible Man 
Summary0019633: When attacking a new planet that is more than one jump away, renders nothing at planet
DescriptionHi there - great game so far! I've spotted a bug while playing 0.743 "Music Blooms"

Please see attached savegame.

Currently my fleet is at Krogstie. When I try to move through "Ersh" and then immediately to Vixie - and I click on Vixie to view the planet, it renders nothing - all it shows is a green background. I don't think that is meant to happen?

Thank you!

TagsNo tags attached.

Relationships

related to 0019640 resolvedx4000Bughunter Planets don't show anything in the planet screen except the background 
related to 0019645 closedx4000Bughunter Graphics for AI Structures not appearing 

Activities

abal7

Jun 12, 2018 8:03 am

reporter  

4 Operation Strike first.savemet (44 bytes)
4 Operation Strike first.save (2,177,815 bytes)

abal7

Jun 12, 2018 8:37 am

reporter   ~0047561

Update - even when i Debug --> Scout all, clicking on the planet renders nothing. I think there are other planets on the galaxy map with a similar issue

BadgerBadger

Jun 12, 2018 2:02 pm

manager   ~0047562

Basically, there's a bug someplace where some planets don't have any visible units on them even with Scout All. If you go to that planet then the GameEntites get matching visual objects, and those visual objects are not deactivated until you tab away from the planet. Nevertheless, nothing is shown. I don't see any issues in the Vis layer (if there were issues then I would expect no planets to have visible units). I took a game in the Pivot, enabled Scout All and just clicked on planets until I found one with these symptoms.

I can't tell what's going on. Once the Pivot has died down and we stop breaking save games then someone can find a good post-pivot save game and we can figure out what's going on. I don't see anything amiss in the Vis layer though. Vis objects are being activated and deactivated appropriately, but nothing is visible. I don't think planetary cloakers exist in the pivot yet, so it's not that.

BadgerBadger

Jun 23, 2018 1:50 pm

manager   ~0047571

So it turns out that if you start a game with a particular seed/starting human planet/faction/etc..., it's always the same planet on which nothing is visible. Here's a save game where nothing on planet Midway will be visible. The squads are definitely getting Activated and De-Activated appropriately.

rogress.save (6,649,563 bytes)

x4000Bughunter

Jun 29, 2018 10:52 am

administrator   ~0047628

This is a shader issue, turns out! I'm looking into it.

x4000Bughunter

Jun 29, 2018 11:11 am

administrator   ~0047630

Thanks!

* Fixed a bug with 8 of the skyboxes that were causing nothing to render on their planets except wormholes. Uh... whoops!

Issue History

Date Modified Username Field Change
Jun 12, 2018 8:03 am abal7 New Issue
Jun 12, 2018 8:03 am abal7 File Added: 4 Operation Strike first.save
Jun 12, 2018 8:03 am abal7 File Added: 4 Operation Strike first.savemet
Jun 12, 2018 8:37 am abal7 Note Added: 0047561
Jun 12, 2018 2:02 pm BadgerBadger Note Added: 0047562
Jun 23, 2018 1:50 pm BadgerBadger File Added: rogress.save
Jun 23, 2018 1:50 pm BadgerBadger Note Added: 0047571
Jun 28, 2018 3:26 pm BadgerBadger Relationship added related to 0019640
Jun 28, 2018 5:41 pm x4000Bughunter Assigned To => x4000Bughunter
Jun 28, 2018 5:41 pm x4000Bughunter Status new => assigned
Jun 28, 2018 10:17 pm BadgerBadger Relationship added related to 0019645
Jun 29, 2018 10:52 am x4000Bughunter Note Added: 0047628
Jun 29, 2018 11:11 am x4000Bughunter Status assigned => resolved
Jun 29, 2018 11:11 am x4000Bughunter Resolution open => fixed
Jun 29, 2018 11:11 am x4000Bughunter Fixed in Version => 0.746 Disposing of the Invisible Man
Jun 29, 2018 11:11 am x4000Bughunter Note Added: 0047630